!! This module define variables for the grid to gathered points.
!!
!! @call sechiba_main
!! @Version : $Revision: 3447 $, $Date: 2016-05-19 12:54:53 +0200 (Thu, 19 May 2016) $
!! 
!< $HeadURL: svn://forge.ipsl.jussieu.fr/orchidee/branches/ORCHIDEE-ROUTING/ORCHIDEE/src_global/grid.f90 $
!< $Date: 2016-05-19 12:54:53 +0200 (Thu, 19 May 2016) $
!< $Author: josefine.ghattas $
!< $Revision: 3447 $
!!
!! @author Marie-Alice Foujols, Jan Polcher and Martial Mancip
!!
!! This module archives and makes available for all ORCHIDEE routine the information on the grid
!! being used. 3 types of grids are foreseen :
!! - Regular longitude latitude grid : This is the default and mostly used for global applications.
!! - Regular X/Y grid : this is a typical grid for regional models and requires a projection method
!!                      to go from X/y to lon/lat.
!! - unstructures grid : This is a general grid where each cell is a polygone. It prepares ORCHIDEE
!!                       for DYNAMICO.
!!
!! The subroutines have the following role :
!!  grid_init : this routine will provide the dimensions needed to allocate the memory and the
!!              characteristics of the grid.
!!
!!  grid_stuff : This subroutine provides the grid details for all land points. Obviously depending
!!               on the grid type different level of information need to be provided.
!!
!f90doc MODULEgrid
MODULE grid_var
  !
  IMPLICIT NONE
  !
  !=================================================================================
  !
  ! Horizontal grid information
  !
  !=================================================================================
  !
  CHARACTER(LEN=20), SAVE                           :: GridType
!$OMP THREADPRIVATE(GridType)
  !
  ! More variables need to be transferred to this module as we clearly filter between was used before the introduction
  ! of GridTypes and what is needed now for more general grid types.
  !
END MODULE grid_var
